This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 149488 - Failover Domain properties do not update after a node is deleted
Failover Domain properties do not update after a node is deleted
Status: CLOSED NEXTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-23 11:06 EST by Paul Kennedy
Modified: 2015-04-19 20:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 17:18:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Kennedy 2005-02-23 11:06:29 EST
Description of problem:

After deleting a node from the cluster configuration and saving the
configuration file, that node is apparent at the Failover Domain
Configuration dialog box, in the "Member Node" list.

Version-Release number of selected component (if applicable):
system-config-cluster-0.9.5-1.0

Steps to Reproduce:
1. Add a node "foo" to failover domain "bar": Cluster ->
   Managed Resources -> Failover Domains -> bar ->
   Edit Failover Domain Properties -> Failover Domain Configuration
   dialog box.
2. Delete the node "foo" from the cluster: Cluster -> Cluster Nodes ->
   foo -> Delete Node.
3. Save configuration file. 
4. Navigate: Cluster -> Managed Resources -> Failover Domains ->
   bar -> Edit Failover Domain Properties -> Failover Domain
   configuration dialog box
5. At the Failover Domain Configuration dialog box, observe that
   the node "foo" deleted in step 2 is still present in the
   "Member Node" list.

  
Actual results:
Node "foo" is still apparent at the Failover Domain Configuration
dialog box, in the "Member Node" list.

Expected results:
The node "foo" should *not* be apparent at the Failover Domain
Configuration dialog box, in "Member Node" list.
Comment 1 Jim Parsons 2005-03-01 12:39:07 EST
will fix
Comment 2 Jim Parsons 2005-03-28 06:16:41 EST
Fixed in 0.9.17-1.0
Comment 3 Corey Marthaler 2005-04-19 17:18:39 EDT
fix verified.

Note You need to log in before you can comment on or make changes to this bug.